Subject: RE: Scalability of Netconf

From: "Branislav Meandzija" <[email-masked]>
Date: Tue, 16 Aug 2005 10:39:13 -0700

Yes. How about the case where devices update their config autonomously and communicate this back to the NMSs which need to reconcile the updates and re-distribute them?

Branislav

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Len Nieman
> Sent: Monday, August 15, 2005 6:21 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; Eliot Lear
> Subject: Re: Scalability of Netconf
> 
> 
> More likely a single NMS trying to manage 800 - 1,200 routers.
> 
> Len
> 
> >Date: Wed, 06 Jul 2005 12:15 -0400 (EDT)
> >From: Eliot Lear <[email-masked]>
> >To: [email-masked]
> >CC: [email-masked],
> >    [email-masked]
> >Subject: Re: Scalability of Netconf
> >
> >Yeah, I just had this funny thought of 1200 NMSes trying to 
> configure a
> >router.  That's the sort of locking contention we certainly did NOT
> >optimize for!
> >
> >Eliot
> >
> >
> >Juergen Schoenwaelder wrote:
> >> On Tue, Jul 05, 2005 at 04:01:17PM +0200, Juergen 
> Schoenwaelder wrote:
> >> 
> >> 
> >>>I am running this script on a 3GHz Pentium with 512 MB Ram 
> (so really
> >>>nothing high end for a management system) running Linux 2.6.10. I 
> >>>keep 300 connections open and the funny thing is that this 
> box does 
> >>>not at really get stressed by this. The load never went above 0.1% 
> >>>and was most of the time significantly below. The memory 
> used excluding
> >>>buffers was ~235 MB.
> >> 
> >> 
> >> Today I was running 1200 ssh connections using the same 
> basic script
> >> on the same box. The load again never went above 0.1 while 
> the memory 
> >> usage went up to ~494 MB. Shall I try 10.000 tomorrow? With 2GB of
> >> memory this should be possible. The two Linux XEON servers 
> that play 
> >> the remote end for 600 connections each do not seem to bother much 
> >> about all this.
> >> 
> >> /js
> >> 
> >
> >--
> >to unsubscribe send a message to [email-masked] with
> >the word 'unsubscribe' in a single line as the message text body.
> >archive: <http://ops.ietf.org/lists/netconf/>
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/netconf/>
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>